Package com.sun.mail.imap

## Interface IMAPFolder.ProtocolCommand

Enclosing class:
  IMAPFolder

    public static interface IMAPFolder.ProtocolCommand

A simple interface for user-defined IMAP protocol commands.

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `doCommand​(IMAPProtocol protocol)` Execute the user-defined command using the supplied IMAPProtocol object.

### Method Detail

#### doCommand

    Object doCommand​(IMAPProtocol protocol)
              throws ProtocolException

Execute the user-defined command using the supplied IMAPProtocol object.

Parameters:
  `protocol` - the IMAPProtocol for the connection
Returns:
  the results of the command
Throws:
  `ProtocolException` - for protocol errors